using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Management;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
//
using RKiss.WSEventing;


namespace Server
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                using (ServiceHost host = new ServiceHost(typeof(SubscriptionManagerService)))
                using (ServiceHost host2 = new ServiceHost(typeof(NotificationManagerService)))
                {
                    host.Open();
                    host2.Open();

                    Console.WriteLine("Press any key to stop server(s)...");
                    Console.ReadLine();
                    host.Close();
                    host2.Close();
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
                Console.ReadLine();
            }
        }
    }
}



//EndpointAddress mexAddress = new EndpointAddress("net.tcp://localhost:11111/mex");
//MetadataTransferClient mexProxy = new MetadataTransferClient(mexAddress.Uri.Scheme);
//MetadataSet metadataSet = mexProxy.GetMetadata(new MetadataReference(mexAddress));