using System;
using System.Collections.Generic;
using System.Text;
using Messages.WS.Eventing;
using System.IO;

namespace ReceivingServer
{
    class ReceivingServer
    {
        private static ReceivingServer instance = null;        
        private static int counter = 0;  //counter for how many messages the server have successfully received

        public void UpdateServer(MessageContents message)
        {        
            counter++;
            Console.WriteLine("" + counter);
            //Console.WriteLine("Payload size in strings: " + message.ContentLength);


            //Test to see if last message is received..for test purpose!
            //Prints the timestamp to file d:\output.txt
            if (counter == 200) 
            {               
                long lastMsgReceived = DateTime.Now.Ticks;
                //Console.WriteLine("" + lastMsgReceived);
                try
                {
                    StreamWriter sw = new StreamWriter("d:\\output.txt", false);
                    
                    sw.WriteLine(""+lastMsgReceived);                    
                    
                    sw.Close();

                }
                catch (IOException e)
                {
                    Console.WriteLine(e.StackTrace);
                }
                
                counter = 0;
            }
        }

        public static ReceivingServer GetInstance()
        {
            if (instance == null)
            {
                instance = new ReceivingServer();
            }
            return instance;
        }
    }
}
