using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;


namespace Messages.MIP
{
    [Serializable]
    public class MessageTransferResponse
    {
        public MessageContents message;
        public string status;
        public MessageTransferResponse() { }
        public MessageTransferResponse(MessageContents report) { message = report; }

        [XmlElement]
        public MessageContents Message
        {
            set
            {
                message = value;
            }
            get
            {
                return message;
            }
        }

        [XmlElement]
        public string Status
        {
            set
            {
                status = value;
            }

            get
            {
                return status;
            }
        }
    }
}
