using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Xml.Serialization;
using System.Runtime.Serialization;

namespace Messages.WS
{
    [DataContract]
    public class MessageContents
    {
        string _namespace = "http://www.example.org/test";

        int _message_id;
        string[] _payload;       

        [DataMember]
        public int MessageId { get { return _message_id; } set { _message_id = value; } }

        [DataMember]
        public string[] Payload 
        { 
            get { return _payload; } 
            set 
            {
                _payload = value;
            } 
        }
        [DataMember]
        public string ToString { get { return "Id: " + MessageId.ToString() + " Payload: " + Payload.Length + " Timeusage: "; } set { } }
        
        public MessageContents() { }


        public static String[] CreatePayload(int bytes)
        {
            int numberOfStrings = (int)(bytes / 8192) + 1;
            String[] load = new String[numberOfStrings];
            if (numberOfStrings > 1)
            {
                for (int i = 0; i < numberOfStrings - 1; i++)
                {
                    load[i] = new String('a', 8192);
                }
            }
            load[numberOfStrings -1] = new String('a', bytes - 8192 * (numberOfStrings - 1));
            return load;
        }

    }
}
