using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using Messages.WS;

namespace Ntnu.Idi.Wsint.Test.WebService
{
    class Program
    {
        static void Main(string[] args)
        {
            HiPerfTimer timer = new HiPerfTimer();

            int NUM_MESSAGES = int.Parse(ConfigurationManager.AppSettings["NUM_MSGS"]);
            int MESSAGE_SIZE = int.Parse(ConfigurationManager.AppSettings["MSG_SIZE"]);

            DateTime t0;
            DateTime t1;
            List<MessageContents> msgs = new List<MessageContents>();
            MessageServiceClient msc = new MessageServiceClient();
            
            //Console.WriteLine("Press key to start.");
            //Console.ReadKey();

            t0 = DateTime.Now;
            for (int i = 0; i < 10000; i++)
            {
                timer.Start();
                MessageTransferRequest req = new MessageTransferRequest();
                MessageContents mc = new MessageContents();                
                mc.MessageId = 0;             

                req.Message = mc;
                
                MessageTransferResponse res = msc.GetMessage(req);
                MessageContents mc1 = res.Message;
                //mc1.Time1 = DateTime.Now;

                timer.Stop();
                Console.WriteLine(timer.Duration);

                //msgs.Add(mc1);
            }

            t1 =  DateTime.Now;

            foreach (MessageContents m in msgs)
            {
                //Console.WriteLine(m.ToString);
                //Console.WriteLine(m.Time1.Subtract(m.Time0));
            }

            Console.WriteLine("Total time used for all messages:");
            Console.WriteLine(t1.Subtract(t0));
            //Console.ReadLine();        
        }
    }
}
