//*****************************************************************************
//    Description.....WS-Eventing for WCF
//                                
//    Author..........Roman Kiss, rkiss@pathcom.com
//    Copyright  2005 ATZ Consulting Inc. (see included license.rtf file)    
//                        
//    Date Created:    06/06/06
//
//    Date        Modified By     Description
//-----------------------------------------------------------------------------
//    06/06/06    Roman Kiss     Initial Revision
//    07/07/06    Roman Kiss     Version JuneCTP 2006
//*****************************************************************************
//  
#region References
using System;
using System.Collections.Specialized;
using System.Runtime.Serialization;
using System.Xml.Serialization;
using System.Xml;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Reflection;
//
using RKiss.WSEventing;
#endregion


namespace RKiss.WSEventing.Adapters
{
    #region PublisherTester
    public class PublisherTester : PublisherBase
    {
        #region Constructors
        public PublisherTester() : base() { }
        public PublisherTester(HybridDictionary properties) : base(properties) { }
        #endregion

        #region PublisherBase override
        public override void OnDeliveryMessage(Message message, Subscription subscription)
        {
            Console.WriteLine("\n=============== tester =========================");
            Console.WriteLine(message);
            Util.ShowMe(subscription);
            Console.WriteLine("\n================================================");
        }
        #endregion
    }
    #endregion
}
