//*****************************************************************************
//    Description.....WS-Eventing for WCF
//                                
//    Author..........Roman Kiss, rkiss@pathcom.com
//    Copyright  2005 ATZ Consulting Inc. (see included license.rtf file)        
//                        
//    Date Created:    06/06/06
//
//    Date        Modified By     Description
//-----------------------------------------------------------------------------
//    06/06/06    Roman Kiss     Initial Revision
//    07/07/06    Roman Kiss     Version JuneCTP 2006
//    11/11/06    Roman Kiss     RTM
//*****************************************************************************
//  
#region References
using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml;
using System.Xml.Serialization;
using System.ServiceModel;
using System.Runtime.Serialization;
#endregion


namespace RKiss.WSEventing
{
    #region Unsubscribe
    [MessageContract]
    [XmlSchemaProvider(null, IsAny = true)]
    public class Unsubscribe : IXmlSerializable
    {
        #region Constructors
        public Unsubscribe()
        {
        }
        public Unsubscribe(Unsubscribe unsubscribe)
        {
            this.Copy(unsubscribe);
        }
        public void Copy(Unsubscribe unsubscribe)
        {
        }
        #endregion

        #region IXmlSerializable Members
        public System.Xml.Schema.XmlSchema GetSchema()
        {
            return null;
        }
        public void ReadXml(XmlReader reader)
        {
            reader.ReadStartElement(WSEventing.ElementNames.Unsubscribe, WSEventing.NamespaceUri);
            reader.ReadEndElement();
        }
        public void WriteXml(XmlWriter writer)
        {
            writer.WriteStartElement(WSEventing.NamespacePrefix, WSEventing.ElementNames.Unsubscribe, WSEventing.NamespaceUri);
            writer.WriteEndElement();
        }
        #endregion
    }
    #endregion
}


