using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using RKiss.WSEventing;

namespace EventingHost
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                using (ServiceHost host = new ServiceHost(typeof(SubscriptionManagerService)))
                using (ServiceHost host2 = new ServiceHost(typeof(NotificationManagerService)))
                {
                    host.Open();
                    host2.Open();

                    Console.WriteLine("Press any key to stop server(s)...");
                    Console.ReadLine();
                    host.Close();
                    host2.Close();
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
                Console.ReadLine();
            }
        }
    }
}
