using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Xml.Serialization;
using System.ServiceModel.Channels;

namespace ReceivingServer
{
    #region Admin
    [ServiceContract]
    [XmlSerializerFormat]
    public interface IAdmin
    {
        [OperationContract(Action = "http://schemas.xmlsoap.org/ws/2004/08/eventing/SubscriptionEnd", IsOneWay = true)]
        void SubscriptionEnd(Message request);
    }
    public class Admin : IAdmin
    {
        public void SubscriptionEnd(Message request)
        {
            Console.ForegroundColor = ConsoleColor.Magenta;
            Console.WriteLine(request);
            Console.ResetColor();
        }
    }
    #endregion
}
