using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;


namespace Messages.MIP
{
    [Serializable]
    public class MessageContents
    {
        string _namespace = "http://www.example.org/test";
        DateTime _t0;
        DateTime _t1;
        int _message_id;
        string _payload;

        [XmlElement]
        public DateTime Time0 { get { return _t0; } set { _t0 = value; } }
        [XmlElement]
        public DateTime Time1 { get { return _t1; } set { _t1 = value; } }
        [XmlElement]
        public int MessageId { get { return _message_id; } set { _message_id = value; } }
        [XmlElement]
        public string Payload { get { return _payload; } set { _payload = value; } }
        [XmlElement]
        public string ToString { get { return "Id: " + MessageId.ToString() + " Timeusage: " + Time1.Subtract(Time0) + " Payload: " + Payload.Length; } set { } }
        
        public MessageContents() { }

    }
}
