using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Configuration;
using Server.WS;

namespace Ntnu.Idi.Wsint.Test.WebService
{
    public class WSHost
    {
        public static void Main(String[] args)
        {
            try
            {
                int NUM_MESSAGES = int.Parse(ConfigurationManager.AppSettings["NUM_MSGS"]);
                int MESSAGE_SIZE = int.Parse(ConfigurationManager.AppSettings["MSG_SIZE"]);

                Uri baseAddr = new Uri(ConfigurationManager.AppSettings["baseMessageService"]);
                MessageServer server = MessageServer.GetInstance();
                //server.Initialize(NUM_MESSAGES, MESSAGE_SIZE);
                //ServiceHost sh = new ServiceHost(server, baseAddr);
                ServiceHost sh = new ServiceHost(typeof(MessageServer), baseAddr);

                sh.Open();
                Console.WriteLine("Server running at " + sh.BaseAddresses[0]);
                Console.WriteLine("The server is running. Press any key to stop it.");
                Console.ReadLine();
                sh.Close();
            }
            catch(Exception e)
            {
                Console.WriteLine(e.StackTrace);
                Console.ReadLine();
            }

        }

    }
}
